package game;

import java.applet.Applet;
import java.awt.BorderLayout;
import java.io.File;

import javax.swing.JFrame;

@SuppressWarnings("serial")
public class GameApplet extends Applet {

    private static Game game = new Game();
    public static final boolean DEBUG = false;

    @Override
    public void init() {
        setLayout(new BorderLayout());
        add(game, BorderLayout.CENTER);
        setMaximumSize(Game.DIMENSIONS);
        setMinimumSize(Game.DIMENSIONS);
        setPreferredSize(Game.DIMENSIONS);
        game.debug = DEBUG;
		Game.homeDir = System.getProperty("user.home") + File.separator
				+ ".graverobber" + File.separator;
        Game.isApplet = true;
    }

    @Override
    public void start() {
        game.start();
    }

    @Override
    public void stop() {
        game.stop();
    }

    public static void main(String[] args) {
        game.setMinimumSize(Game.DIMENSIONS);
        game.setMaximumSize(Game.DIMENSIONS);
        game.setPreferredSize(Game.DIMENSIONS);

        game.frame = new JFrame(Game.NAME);

        game.frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        game.frame.setLayout(new BorderLayout());

        game.frame.add(game, BorderLayout.CENTER);
        game.frame.pack();

        game.frame.setResizable(false);
        game.frame.setLocationRelativeTo(null);
        game.frame.setVisible(true);

        game.debug = DEBUG;

		Game.homeDir = System.getProperty("user.home") + File.separator
				+ ".graverobber" + File.separator;
		
        game.start();
    }
}
